SXIRSB(4)

NAME
sxirsb - Allwinner Reduced Serial Bus controller

SYNOPSIS
sxirsb* at fdt?

DESCRIPTION
The sxirsb driver provides support for the Reduced Serial Bus (RSB) controller integrated on Allwinner A23/A33/A64/A80/A83T SoCs. RSB is a two-wire bus developed by X-Powers as a high-speed alternative to I2C for connecting integrated circuits. It is typically used for connecting devices such as power management ICs and audio codecs.

SEE ALSO
acrtc(4), iic(4), intro(4)

HISTORY
The sxirsb driver first appeared in OpenBSD 6.3.

AUTHORS
-nosplit The sxirsb driver was written by Mark Kettenis <kettenis@openbsd.org>.